Bug 232980 - [LFC][Integration] Enable bidi content for non-inline-box cases
Summary: [LFC][Integration] Enable bidi content for non-inline-box cases
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Layout and Rendering (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: zalan
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2021-11-10 19:26 PST by zalan
Modified: 2021-11-21 15:59 PST (History)
5 users (show)

See Also:


Attachments
Patch (4.77 KB, patch)
2021-11-10 19:32 PST, zalan
no flags Details | Formatted Diff | Diff
Patch (5.69 KB, patch)
2021-11-11 12:49 PST, zalan
no flags Details | Formatted Diff | Diff
Patch (70.91 KB, patch)
2021-11-11 14:09 PST, zalan
no flags Details | Formatted Diff | Diff
Patch (66.82 KB, patch)
2021-11-18 07:40 PST, zalan
no flags Details | Formatted Diff | Diff
Patch (71.87 KB, patch)
2021-11-18 16:47 PST, zalan
no flags Details | Formatted Diff | Diff
Patch (72.75 KB, patch)
2021-11-19 21:17 PST, zalan
no flags Details | Formatted Diff | Diff
Patch (72.72 KB, patch)
2021-11-21 13:39 PST, zalan
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description zalan 2021-11-10 19:26:13 PST
ssia
Comment 1 Radar WebKit Bug Importer 2021-11-10 19:26:36 PST
<rdar://problem/85281410>
Comment 2 zalan 2021-11-10 19:32:58 PST
Created attachment 443897 [details]
Patch
Comment 3 Antti Koivisto 2021-11-11 06:34:44 PST
Comment on attachment 443897 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=443897&action=review

> Source/WebCore/layout/formattingContexts/inline/InlineItemsBuilder.cpp:41
> +#define ALLOW_BIDI_CONTENT 1

itshappening.gif
Comment 4 zalan 2021-11-11 12:49:45 PST
Created attachment 443991 [details]
Patch
Comment 5 zalan 2021-11-11 14:09:44 PST
Created attachment 443999 [details]
Patch
Comment 6 zalan 2021-11-18 07:40:57 PST
Created attachment 444674 [details]
Patch
Comment 7 zalan 2021-11-18 16:47:54 PST
Created attachment 444758 [details]
Patch
Comment 8 zalan 2021-11-19 21:17:32 PST
Created attachment 444881 [details]
Patch
Comment 9 zalan 2021-11-21 13:39:41 PST
Created attachment 444931 [details]
Patch
Comment 10 EWS 2021-11-21 15:59:01 PST
Committed r286107 (244494@main): <https://commits.webkit.org/244494@main>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 444931 [details].